import java.io.*;

/**
 *
 * @author cteam068
 */
public class Dive {
    public static BufferedReader in;
    
    public static void main(String args[]) throws IOException{
        in = new BufferedReader(new InputStreamReader(System.in));
        String line;
        while(!(line = in.readLine()).equals("0 0 ' '")){
            String[] parts = line.split("\\s");
            int sizeX = Integer.parseInt(parts[0]);
            int sizeY = Integer.parseInt(parts[1]);
            char ch = parts[2].charAt(1);
            String[] pole1 = new String[sizeX];
            String[] pole2 = new String[sizeX];
            String[] result = new String[sizeX];
            
            for(int i=0;i<sizeX;i++){
                pole1[i] = in.readLine();
            }
            in.readLine();
            for(int i=0;i<sizeX;i++){
                pole2[i] = in.readLine();
            }
            in.readLine();            
            result = falcon(pole1,pole2,ch);
            for(int i=0;i<sizeX;i++){
                System.out.println(result[i]);
            }
            System.out.println();
        }
    }
    
    public static String[] falcon(String arg[], String arg2[], char ch){
        String[] result = arg.clone();
        int[] res1 = search(arg, ch);
        int[] res2 = search(arg2, ch);
        int deltaX = res2[0] - res1[0];
        int deltaY = res2[1] - res1[1];
        for(int i = 0; i<arg.length; i++){
            for(int j=0; j<arg[i].length(); j++){
                if(result[i].charAt(j)==ch){
                    char[] aux = result[i].toCharArray();
                    aux[j] = arg2[i].charAt(j);
                    result[i] = String.valueOf(aux);
                }
            }
        }
        for(int i = 0; i<arg2.length; i++){
            for(int j=0; j<arg2[i].length(); j++){
                if((arg2[i].charAt(j)==ch) && (i+deltaX < arg.length) && (j+deltaY < arg[i].length()) && (i+deltaX >= 0) && (j+deltaY >= 0)){
                    char[] aux = result[i+deltaX].toCharArray();
                    aux[j+deltaY] = ch;
                    result[i+deltaX] = String.valueOf(aux);
                }
            }
        }
        return result;
    }
    
    public static int[] search(String arg[], char ch){
        for(int i = 0; i<arg.length; i++){
            for(int j=0; j<arg[i].length(); j++){
                if(arg[i].charAt(j)==ch){
                    return new int[] {i,j};
                }
            }
        }
        return new int[]{0,0};
    }
}
