import java.io.*;

/**
 *
 * @author cteam068
 */
public class Jump {
    public static BufferedReader in;
    public static int result = 0;
    public static long[] rocks;
    public static boolean[] viewed;
    
    public static void main(String args[]) throws IOException{
        in = new BufferedReader(new InputStreamReader(System.in));
        String line;
        int length;
        while(!(line = in.readLine()).equals("0")){
            //line = in.readLine();
            length = Integer.parseInt(line);
            line = in.readLine();
            String[] parts = line.split("\\s");
            rocks = new long[length];
            viewed = new boolean[length];
            for(int i = 0; i<length;i++){
                rocks[i] = Long.parseLong(parts[i]);
                viewed[i] = false;
            }
            jump(0);
            System.out.println(result);
        }
    }
    
    public static void jump(int position){
        //System.out.println("Currently at "+position);
        long target, targetNeg;
        long aux = 0;
        long value = rocks[position];
        viewed[position]=true;
        /*for(boolean rock : viewed){
            System.out.print(rock+", ");
        }*/
        //System.out.println();
        if (value == 0)
            aux = 1;
        value = Math.max(value, 1); // zeby necyklil na jednom, ked tam je nula
        target = position + value;
        targetNeg = position - value;
        while(target < rocks.length || targetNeg>0){
            if(target < rocks.length && rocks[(int) target] == aux && !viewed[(int) target]){
                //System.out.println("Jumping to "+target);
                jump((int) (target));
            }
            if(targetNeg > 0 && rocks[(int) targetNeg] == aux && !viewed[(int) targetNeg]){
                //System.out.println("Jumping to "+targetNeg);
                jump((int) (targetNeg));
            }            
            target++;
            targetNeg--;
            aux++;
            //System.out.println("Trying "+target + " and " + targetNeg + " expecting " + aux );
        }
        result = Math.max((int) (position), result);
    }
}
